X2Go Bug report logs - #993
gcc 6 compile error

version graph

Package: x2godesktopsharing; Maintainer for x2godesktopsharing is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Sat, 6 Feb 2016 21:05:02 UTC

Severity: normal

Tags: pending

Found in version 3.1.1.2

Fixed in version 3.1.1.3

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#993; Package x2godesktopsharing. (Sat, 06 Feb 2016 21:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 06 Feb 2016 21:05:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: gcc 6 compile error
Date: Sat, 6 Feb 2016 14:01:08 -0700
[Message part 1 (text/plain, inline)]
Package: x2godesktopsharing
Version: 3.1.1.2

x2godesktopsharing fails to compile with gcc 6 with:

sharetray.cpp: In constructor 'ShareTray::ShareTray()':
sharetray.cpp:97:46: error: call of overloaded 'abs(uint)' is ambiguous
      QDateTime::currentDateTime().toTime_t() ) <5 )
                                              ^
In file included from /usr/include/c++/6.0.0/cstdlib:75:0,
                 from /usr/include/c++/6.0.0/bits/stl_algo.h:59,
                 from /usr/include/c++/6.0.0/algorithm:62,
                 from /usr/include/QtCore/qglobal.h:68,
                 from /usr/include/QtCore/qnamespace.h:45,
                 from /usr/include/QtCore/qobjectdefs.h:45,
                 from /usr/include/QtGui/qwindowdefs.h:45,
                 from /usr/include/QtGui/qwidget.h:46,
                 from /usr/include/QtGui/qmainwindow.h:45,
                 from /usr/include/QtGui/QMainWindow:1,
                 from sharetray.h:14,
                 from sharetray.cpp:12:
/usr/include/stdlib.h:774:12: note: candidate: int abs(int)
 extern int abs (int __x) __THROW __attribute__ ((__const__)) __wur;
            ^~~
In file included from /usr/include/c++/6.0.0/bits/stl_algo.h:59:0,
                 from /usr/include/c++/6.0.0/algorithm:62,
                 from /usr/include/QtCore/qglobal.h:68,
                 from /usr/include/QtCore/qnamespace.h:45,
                 from /usr/include/QtCore/qobjectdefs.h:45,
                 from /usr/include/QtGui/qwindowdefs.h:45,
                 from /usr/include/QtGui/qwidget.h:46,
                 from /usr/include/QtGui/qmainwindow.h:45,
                 from /usr/include/QtGui/QMainWindow:1,
                 from sharetray.h:14,
                 from sharetray.cpp:12:
/usr/include/c++/6.0.0/cstdlib:180:3: note: candidate: long long int 
std::abs(long long int)
   abs(long long __x) { return __builtin_llabs (__x); }
   ^~~
/usr/include/c++/6.0.0/cstdlib:172:3: note: candidate: long int 
std::abs(long int)
   abs(long __i) { return __builtin_labs(__i); }
   ^~~

The attached patch casts the result to an int.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com
[x2godesktopsharing-time.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#993; Package x2godesktopsharing. (Sun, 07 Feb 2016 17:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 07 Feb 2016 17:00:02 GMT) (full text, mbox, link).


Message #10 received at 993@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 993-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 993@bugs.x2go.org
Subject: X2Go issue (in src:x2godesktopsharing) has been marked as pending for release
Date: Sun, 7 Feb 2016 17:56:42 +0100 (CET)
tag #993 pending
fixed #993 3.1.1.3
thanks

Hello,

X2Go issue #993 (src:x2godesktopsharing) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2godesktopsharing.git;a=commitdiff;h=e470e71

The issue will most likely be fixed in src:x2godesktopsharing (3.1.1.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit e470e7117439f978593e3a732c85b45d3d755b2e
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Sun Feb 7 17:56:27 2016 +0100

    sharetray.cpp: fix type issues while calculating time difference. Fixes: #993.

diff --git a/debian/changelog b/debian/changelog
index 4e21389..86c668d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -6,6 +6,8 @@ x2godesktopsharing (3.1.1.3-0x2go1) UNRELEASED; urgency=low
     - x2godesktopsharing.pro: also rename x2godesktopsharing_zh_tw in project
       file.
     - misc: fix X2GO => X2Go and add "Desktop" where missing. Fixes: #936.
+    - sharetray.cpp: fix type issues while calculating time difference. Fixes:
+      #993.
   * debian/control:
     - Drop libqt4-gui Depends. Already handled by shlibs and misc Depends.
       Fixes: #905.


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 07 Feb 2016 17:00:04 GMT) (full text, mbox, link).


Marked as fixed in versions 3.1.1.3. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 07 Feb 2016 17:00:04 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#993. (Sun, 07 Feb 2016 17:00:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#993; Package x2godesktopsharing. (Tue, 07 Jun 2016 01:30:06 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 07 Jun 2016 01:30:07 GMT) (full text, mbox, link).


Message #22 received at 993@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 993-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 993@bugs.x2go.org
Subject: X2Go issue (in src:x2godesktopsharing) has been marked as closed
Date: Tue, 7 Jun 2016 03:28:08 +0200 (CEST)
close #993
thanks

Hello,

we are very hopeful that X2Go issue #993 reported by you
has been resolved in the new release (3.1.1.3) of the
X2Go source project »src:x2godesktopsharing«.

You can view the complete changelog entry of src:x2godesktopsharing (3.1.1.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2godesktopsharing.

    http://code.x2go.org/gitweb?p=x2godesktopsharing.git;a=commitdiff;h=c1a5867c31f12a44a6dbbf9317ef44272399fa53;hp=3921c42b13af6a2bef5850c53b9baa420ba46351

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2godesktopsharing.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2godesktopsharing
Version: 3.1.1.3-0x2go1
Status: RELEASE
Date: Tue, 07 Jun 2016 03:12:53 +0200
Fixes: 905 936 993
Changes: 
 x2godesktopsharing (3.1.1.3-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream version (3.1.1.3):
     - x2godesktopsharing_zh_tw: rename to x2godesktopsharing_zh_tw.ts. Oops.
     - x2godesktopsharing.pro: also rename x2godesktopsharing_zh_tw in project
       file.
     - misc: fix X2GO => X2Go and add "Desktop" where missing. Fixes: #936.
     - sharetray.cpp: fix type issues while calculating time difference. Fixes:
       #993.
     - sharetray.cpp: post-fixup: include stdint.h to get (u)intXX_t types.
       Won't work on Windows, but the desktop sharing application isn't
       supposed to run on Windows anyway...
   * debian/control:
     - Drop libqt4-gui Depends. Already handled by shlibs and misc Depends.
       Fixes: #905.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Tue, 07 Jun 2016 01:30:09 GMT) (full text, mbox, link).


Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Tue, 07 Jun 2016 01:30:09 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#993. (Tue, 07 Jun 2016 01:30:15 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 05 Jul 2016 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Oct 15 22:13:39 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.